cudaGL.h(3)

NAME
cudaGL.h - Header file for the OpenGL interoperability functions of the low-level CUDA driver application programming interface.

SYNOPSIS

  Defines

#define __CUDA_API_VERSION 5050

  Enumerations

enum CUGLDeviceList { CU_GL_DEVICE_LIST_ALL = 0x01, CU_GL_DEVICE_LIST_CURRENT_FRAME = 0x02, CU_GL_DEVICE_LIST_NEXT_FRAME = 0x03 }
enum CUGLmap_flags

  Functions

CUresult cuGLCtxCreate (CUcontext *pCtx, unsigned int Flags, CUdevice device)
Create a CUDA context for interoperability with OpenGL.
CUresult cuGLGetDevices (unsigned int *pCudaDeviceCount, CUdevice *pCudaDevices, unsigned int cudaDeviceCount, CUGLDeviceList deviceList)
Gets the CUDA devices associated with the current OpenGL context.
CUresult cuGLInit (void)
Initializes OpenGL interoperability.
CUresult cuGLMapBufferObject (CUdeviceptr *dptr, size_t *size, GLuint buffer)
Maps an OpenGL buffer object.
CUresult cuGLMapBufferObjectAsync (CUdeviceptr *dptr, size_t *size, GLuint buffer, CUstream hStream)
Maps an OpenGL buffer object.
CUresult cuGLRegisterBufferObject (GLuint buffer)
Registers an OpenGL buffer object.
CUresult cuGLSetBufferObjectMapFlags (GLuint buffer, unsigned int Flags)
Set the map flags for an OpenGL buffer object.
CUresult cuGLUnmapBufferObject (GLuint buffer)
Unmaps an OpenGL buffer object.
CUresult cuGLUnmapBufferObjectAsync (GLuint buffer, CUstream hStream)
Unmaps an OpenGL buffer object.
CUresult cuGLUnregisterBufferObject (GLuint buffer)
Unregister an OpenGL buffer object.
CUresult cuGraphicsGLRegisterBuffer (CUgraphicsResource *pCudaResource, GLuint buffer, unsigned int Flags)
Registers an OpenGL buffer object.
CUresult cuGraphicsGLRegisterImage (CUgraphicsResource *pCudaResource, GLuint image, GLenum target, unsigned int Flags)
Register an OpenGL texture or renderbuffer object.
CUresult cuWGLGetDevice (CUdevice *pDevice, HGPUNV hGpu)
Gets the CUDA device associated with hGpu.

Detailed Description

Define Documentation

  #define __CUDA_API_VERSION 5050

CUDA API versioning support

Author

Generated automatically by Doxygen from the source code.